<template>
  <div class="theme-switch">
    <el-switch
      class="mt-2"
      style="margin-left: 24px"
      inline-prompt
      size="large"
      name="theme-switch"
      :active-icon="Moon"
      :inactive-icon="Sunny"
      :active-value="!isDark"
      :inactive-value="isDark"
      @change="toggleDarkMode"
    />
    <label
      for="theme-switch"
      :class="{ 'sr-only': hideLabel }"
      @click="toggleDarkMode"
      >{{ $t("switch_mode") }}</label
    >
  </div>
</template>

<script setup lang="ts">
import { ElSwitch } from "element-plus";
import { Sunny, Moon } from "@element-plus/icons-vue";

defineProps({
  hideLabel: {
    type: Boolean,
    required: false,
    default: () => false,
  },
  isDark: {
    type: Boolean,
    required: true,
  },
});
const emit = defineEmits(["toggle"]);
const toggleDarkMode = () => {
  emit("toggle");
};
</script>

<style lang="scss">
.theme-switch {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  font-size: 14px;
  label {
    user-select: none;
  }
  .el-switch {
    margin-top: 0px;
    margin-left: 0px !important;

    &__core {
      border: 1px solid var(--background3);
      background: var(--background3);
      box-shadow: var(--box-shadow-simle);
    }

    &__action {
      background: var(--text);
    }
  }
}
</style>
